// Fichier Registry.h
#ifndef REGISTRY_H
#define REGISTRY_H

#include <string>

// cette fonction inscrit au registre une association entre une
// fabrique et son contexte
HRESULT RegisterServer(const std::string & NomModule,
                       REFCLSID clsid, 
                       const std::string & NomConvivial,
                       const std::string & NomIndependantDeVersion, 
                       const std::string & ProgID,
                       const char * ThreadingModel);

// cette fonction supprime du registre une association entre une
// fabrique et son contexte
HRESULT UnregisterServer(REFCLSID clsid,
                         const std::string & NomIndependantDeVersion, 
                         const std::string & ProgID);
#endif // !defined REGISTRY_H